Orxonox: orxonox::XMLPortClassObjectContainer< T, O > Class Template Reference

# orxonox::XMLPortClassObjectContainer< T, O > Class Template Reference

`#include <src/core/XMLPort.h>`

Inheritance diagram for orxonox::XMLPortClassObjectContainer< T, O >:

List of all members.

## Public Member Functions

virtual XMLPortObjectContainer & | description (const std::string description)
virtual const std::string & | getDescription ()
XMLPortObjectContainer & | port (T *object, Element &xmlelement, XMLPort::Mode mode)
| XMLPortClassObjectContainer (const std::string sectionname, Identifier *identifier, ExecutorMember< T > *loadexecutor, ExecutorMember< T > *saveexecutor, bool bApplyLoaderMask, bool bLoadBefore)
| ~XMLPortClassObjectContainer ()

## Private Attributes

ExecutorMember< T > * | loadexecutor_
ExecutorMember< T > * | saveexecutor_

### template<class T, class O>
class orxonox::XMLPortClassObjectContainer< T, O >

## Constructor & Destructor Documentation

template<class T, class O>

orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer | ( | const std::string | sectionname,
|  | Identifier * | identifier,
|  | ExecutorMember< T > * | loadexecutor,
|  | ExecutorMember< T > * | saveexecutor,
|  | bool | bApplyLoaderMask,
|  | bool | bLoadBefore |
| ) |  |  | `[inline]`

References orxonox::XMLPortObjectContainer::bApplyLoaderMask_, orxonox::XMLPortObjectContainer::bLoadBefore_, orxonox::XMLPortObjectContainer::identifier_, orxonox::XMLPortClassObjectContainer< T, O >::loadexecutor_, orxonox::XMLPortClassObjectContainer< T, O >::saveexecutor_, and orxonox::XMLPortObjectContainer::sectionname_.

template<class T, class O>

orxonox::XMLPortClassObjectContainer< T, O >::~XMLPortClassObjectContainer | ( |  | ) | `[inline]`

References orxonox::XMLPortClassObjectContainer< T, O >::loadexecutor_, and orxonox::XMLPortClassObjectContainer< T, O >::saveexecutor_.

## Member Function Documentation

template<class T, class O>

virtual XMLPortObjectContainer& orxonox::XMLPortClassObjectContainer< T, O >::description | ( | const std::string | description | ) | `[inline, virtual]`

Implements orxonox::XMLPortObjectContainer.

References orxonox::XMLPortClassObjectContainer< T, O >::loadexecutor_.

template<class T, class O>

virtual const std::string& orxonox::XMLPortClassObjectContainer< T, O >::getDescription | ( |  | ) | `[inline, virtual]`

Implements orxonox::XMLPortObjectContainer.

References orxonox::XMLPortClassObjectContainer< T, O >::loadexecutor_.

template<class T, class O>

XMLPortObjectContainer& orxonox::XMLPortClassObjectContainer< T, O >::port | ( | T * | object,
|  | Element & | xmlelement,
|  | XMLPort::Mode | mode |
| ) |  |  | `[inline]`

References orxonox::XMLPortObjectContainer::bLoadBefore_, COUT, orxonox::XMLPort::ExpandObject, orxonox::Identifier::fabricate(), orxonox::Factory::getIdentifier(), orxonox::XMLPortObjectContainer::getName(), orxonox::Identifier::getName(), orxonox::BaseObject::getName(), orxonox::XMLPortObjectContainer::identifier_, orxonox::XMLPortObjectContainer::identifierIsIncludedInLoaderMask(), orxonox::Identifier::isA(), orxonox::Identifier::isLoadable(), orxonox::XMLPortClassObjectContainer< T, O >::loadexecutor_, orxonox::XMLPort::LoadObject, orxonox::KeyCode::O, orxonox::XMLPortObjectContainer::sectionname_, orxonox::BaseObject::setLoaderIndentation(), and orxonox::BaseObject::XMLPort().

Referenced by orxonox::BaseObject::XMLPort().

## Member Data Documentation

template<class T, class O>

ExecutorMember<T>* orxonox::XMLPortClassObjectContainer< T, O >::loadexecutor_`[private]`

Referenced by orxonox::XMLPortClassObjectContainer< T, O >::description(), orxonox::XMLPortClassObjectContainer< T, O >::getDescription(), orxonox::XMLPortClassObjectContainer< T, O >::port(), orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer(), and orxonox::XMLPortClassObjectContainer< T, O >::~XMLPortClassObjectContainer().

template<class T, class O>

ExecutorMember<T>* orxonox::XMLPortClassObjectContainer< T, O >::saveexecutor_`[private]`

Referenced by orxonox::XMLPortClassObjectContainer< T, O >::XMLPortClassObjectContainer(), and orxonox::XMLPortClassObjectContainer< T, O >::~XMLPortClassObjectContainer().

The documentation for this class was generated from the following file:

- src/core/XMLPort.h